> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn 个人资料

> 采集公共 LinkedIn 个人资料数据。

# LinkedIn 简介

```json theme={"system"}
{
  "urls": ["https://www.linkedin.com/in/example"]
}
```

## 与 MCP 一起使用

| 接口 | 值 |
| - | - |
| REST | `POST /v1/linkedin/profiles` |
| Compact MCP | `socq_execute` 与 `endpoint: "linkedin/profiles"` |
| Typed MCP | `socq_linkedin_profiles` |
| 精确工具 URL | `https://api.socq.ai/mcp?tools=linkedin_profiles` |
| CLI | `socq linkedin profiles` |

使用上面的 JSON 请求正文作为 `socq_execute` 的嵌套 `input` 对象，或将相同的字段直接传递给Typed 工具。Typed 工具还接受 `_wait_seconds`、`_result_limit` 和 `_idempotency_key`。

> [!NOTE]
>
> 成功的采集将返回 `task_id`。继续 `socq_get_task` 直到任务成功，然后从 `results.items` 读取规范化记录。

有关完整的提交和轮询流程，请参阅[MCP 快速入门](https://docs.socq.ai/zh/integrations/mcp.md)。

结果使用 `platform="linkedin"`、`resource="profiles"` 和 `type="profile"`。个人资料经验、教育背景、地点和公司详细信息将在 `extra` 下返回。

## 结果字段

任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化，但不会推断或补充来源未提供的值。如需请求更小的字段集，MCP 查询请使用 `fields`，Typed 工具请使用 `_result_fields`，CLI 请使用 `--result-fields`。即使值为 `null`，已声明的字段仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 当前结果项的唯一标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 结果项的公开访问地址（如可获得）。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `username` | `string` | 是 | 账号的公开用户名或账号标识。 |
| `name` | `string` | 是 | 账号或主页的显示名称。 |
| `text` | `string` | 是 | 账号或主页的简介。 |
| `avatar_url` | `string` | 是 | 账号头像图片的地址。 |
| `cover_url` | `string` | 是 | 封面图片的地址。 |
| `website` | `string` | 是 | 账号、公司或广告主关联的网站。 |
| `is_verified` | `boolean` | 是 | 账号是否已通过平台认证。 |
| `is_private` | `boolean` | 是 | 账号是否为私密账号。 |
| `location` | `object` | 是 | 结果关联的地理位置信息。 |
| `location.name` | `string` | 是 | 便于阅读的地点名称。 |
| `location.city` | `string` | 是 | 城市名称。 |
| `location.region` | `string` | 是 | 地区、州或省份名称。 |
| `location.country` | `string` | 是 | 国家或地区名称或代码。 |
| `location.latitude` | `number` | 是 | 十进制度格式的纬度。 |
| `location.longitude` | `number` | 是 | 十进制度格式的经度。 |
| `metrics` | `object` | 是 | 结果项可获得的计数和度量数据。 |
| `metrics.followers_count` | `integer` | 是 | 粉丝数量。 |
| `metrics.following_count` | `integer` | 是 | 关注的账号数量。 |
| `metrics.posts_count` | `integer` | 是 | 帖子数量，或与趋势关联的帖子数量。 |

## 任务完成响应

```json theme={"system"}
{
  "code": 200,
  "data": {
    "task_id": "A1B2C3D4E5F6G7H8",
    "status": "succeeded",
    "public_id": "linkedin/profiles",
    "result_count": 1,
    "credits_amount": 2.5,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "account",
      "schema_version": "1.0",
      "items": [
        {
          "id": "example-profile",
          "platform": "linkedin",
          "resource": "profiles",
          "type": "profile",
          "url": "https://www.linkedin.com/in/example",
          "published_at": null,
          "collected_at": "2026-07-17T10:30:00Z",
          "username": null,
          "name": "Example Person",
          "text": "Product and technology leader",
          "avatar_url": "https://example.com/profile.jpg",
          "cover_url": null,
          "website": null,
          "is_verified": null,
          "is_private": null,
          "location": null,
          "metrics": {
            "followers_count": 12500,
            "following_count": null,
            "posts_count": null
          }
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/linkedin/profiles
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-050b21a3b206
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/linkedin/profiles:
    post:
      tags:
        - linkedin
      summary: LinkedIn 个人资料
      description: 采集公共 LinkedIn 个人资料数据。
      operationId: socq_linkedin_profiles
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                urls:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  description: 公开内容、主页或商品 URL 列表。每个 URL 分别应用结果数量上限，至少提供 1 项。
              required:
                - urls
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.